# Interface IWebBrowser

All Known Implementing Classes:
  `AbstractWebBrowser`

public interface IWebBrowser
An opened Web browser instance (either internal or external).

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  - `IWorkbenchBrowserSupport`
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`close()`
Closes this browser instance.
`String`
`getId()`
Returns the unique identifier of this browser.
`void`
`openURL(URL url)`
Opens a URL on this Web browser instance.

## Method Details

### getId

String getId()
Returns the unique identifier of this browser. If an id has been supplied to the browser support when the instance was created, it will be used. Otherwise, a generated id will be provided to the browser that is guaranteed to be unique.

Returns:
  a unique identifier of this browser instance

### openURL

void openURL(URL url) throws PartInitException
Opens a URL on this Web browser instance.

NOTE This method must be called from the current UI thread

Parameters:
  `url` - the URL to display
Throws:
  `PartInitException` - if the browser fails to navigate to the provided url for any reason

### close

boolean close()
Closes this browser instance.

NOTE This method must be called from the current UI thread

Returns:
  `true` if the browser was closed or `false` if the operation failed or is not supported.